%define anolis_release 3

# feature macro to enable samples (or not)
%global samples 1

Summary: Library for reading RAW files obtained from digital photo cameras
Name: LibRaw
Version: 0.21.1
Release: %{anolis_release}%{dist}
License: BSD and (CDDL-1.0 or LGPLv2)
URL: http://www.libraw.org

BuildRequires: gcc-c++
BuildRequires: pkgconfig(lcms2)
BuildRequires: pkgconfig(jasper)
BuildRequires: pkgconfig(libjpeg)
BuildRequires: autoconf automake libtool
BuildRequires: make

Source0: http://github.com/LibRaw/LibRaw/archive/%{version}.tar.gz
Patch0: LibRaw-pkgconfig.patch
Patch1: https://github.com/LibRaw/LibRaw/commit/9ab70f6dca19229cb5caad7cc31af4e7501bac93.patch
Provides: bundled(dcraw) = 9.25
Patch2: fix-cve-2025-43961.patch
Patch3: fix-cve-2025-43964.patch

%description
LibRaw is a library for reading RAW files obtained from digital photo
cameras (CRW/CR2, NEF, RAF, DNG, and others).

LibRaw is based on the source codes of the dcraw utility, where part of
drawbacks have already been eliminated and part will be fixed in future.

%package devel
Summary: LibRaw development libraries
Requires:   %{name} = %{version}-%{release}

%description devel
LibRaw development libraries.

This package contains libraries that applications can use to build
against LibRaw.

%package static
Summary: LibRaw static development libraries
Requires: %{name}-devel = %{version}-%{release}

%description static
LibRaw static development libraries.

%package samples
Summary: LibRaw sample programs
Requires: %{name} = %{version}-%{release}

%description samples
LibRaw sample programs

%package doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{EVR}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%autosetup -p1 -n %{name}-%{version}

%build
autoreconf -if
%configure \
    --enable-examples=%{?samples:yes}%{!?samples:no} \
    --enable-jasper \
    --enable-jpeg \
    --enable-lcms \
    --enable-openmp

%make_build

%install
cp -pr doc manual
chmod 644 LICENSE.CDDL LICENSE.LGPL COPYRIGHT Changelog.txt
chmod 644 manual/*.html

# The Libraries
%make_install

rm -rfv samples/.deps
rm -fv samples/.dirstamp
rm -fv samples/*.o

%generate_compatibility_deps

%files
%license LICENSE.CDDL LICENSE.LGPL COPYRIGHT
%{_libdir}/libraw.so.23*
%{_libdir}/libraw_r.so.23*

%dir %{abidir}
%{abidir}/libraw.dump
%{abidir}/libraw_r.dump

%files static
%{_libdir}/libraw.a
%{_libdir}/libraw_r.a

%files devel
%{_includedir}/libraw/
%{_libdir}/libraw.so
%{_libdir}/libraw_r.so
%{_libdir}/pkgconfig/libraw.pc
%{_libdir}/pkgconfig/libraw_r.pc
%{abidir}/libraw.dump
%{abidir}/libraw_r.dump

%if 0%{?samples}
%files samples
%{_bindir}/*
%{abidir}/*-option.list
%endif

%files doc
%doc Changelog.txt
%doc README.md
%doc manual
%doc samples
%{_docdir}/libraw/*

%changelog
* Wed Apr 30 2025 yangjinlin01 <yangjinlin01@inspur.com> - 0.21.1-3
- fix CVE-2025-43964

* Wed Apr 30 2025 yangjinlin01 <yangjinlin01@inspur.com> - 0.21.1-2
- fix CVE-2025-43961

* Thu May 25 2023 Funda Wang <fundawang@yeah.net> - 0.21.1-1
- New version 0.21.1

* Fri Mar 24 2023 Zhongling He <zhonglingh@linux.alibaba.com> - 0.20.2-1
- Init package from upstream
